---
editUrl: false
next: false
prev: false
title: "CoreDependencies"
---

## Properties

### @sern/client()

> **@sern/client**: () => [`Emitter`](/v3/api/interfaces/emitter/)

#### Returns

[`Emitter`](/v3/api/interfaces/emitter/)

#### Source

[src/types/ioc.ts:28](https://github.com/sern-handler/handler/blob/04c4625bfa2f746935f4a8cee62b77cdffd86684/src/types/ioc.ts#L28)

***

### @sern/emitter()

> **@sern/emitter**: () => [`Emitter`](/v3/api/interfaces/emitter/)

#### Returns

[`Emitter`](/v3/api/interfaces/emitter/)

#### Source

[src/types/ioc.ts:29](https://github.com/sern-handler/handler/blob/04c4625bfa2f746935f4a8cee62b77cdffd86684/src/types/ioc.ts#L29)

***

### @sern/errors()

> **@sern/errors**: () => [`ErrorHandling`](/v3/api/interfaces/errorhandling/)

#### Returns

[`ErrorHandling`](/v3/api/interfaces/errorhandling/)

#### Source

[src/types/ioc.ts:36](https://github.com/sern-handler/handler/blob/04c4625bfa2f746935f4a8cee62b77cdffd86684/src/types/ioc.ts#L36)

***

### @sern/logger()?

> `optional` **@sern/logger**: () => [`Logging`](/v3/api/interfaces/logging/)\<`unknown`\>

#### Returns

[`Logging`](/v3/api/interfaces/logging/)\<`unknown`\>

#### Source

[src/types/ioc.ts:37](https://github.com/sern-handler/handler/blob/04c4625bfa2f746935f4a8cee62b77cdffd86684/src/types/ioc.ts#L37)

***

### @sern/modules()

> **@sern/modules**: () => `ModuleManager`

#### Returns

`ModuleManager`

#### Source

[src/types/ioc.ts:35](https://github.com/sern-handler/handler/blob/04c4625bfa2f746935f4a8cee62b77cdffd86684/src/types/ioc.ts#L35)

***

### ~~@sern/store()~~

> **@sern/store**: () => [`CoreModuleStore`](/v3/api/interfaces/coremodulestore/)

:::caution[Deprecated]
Will be removed and turned internal
:::

#### Returns

[`CoreModuleStore`](/v3/api/interfaces/coremodulestore/)

#### Source

[src/types/ioc.ts:34](https://github.com/sern-handler/handler/blob/04c4625bfa2f746935f4a8cee62b77cdffd86684/src/types/ioc.ts#L34)
